if [ "$ROOT" ]; then mount -o rw,remount $ROOT; else mount -o rw,remount /; fi

dts=/data/misc/dts
if [ ! -d "$dts" ]; then

  mkdir -p $dts
  chmod 0775 $dts
  chown 1013.1005 $dts
  chcon -R u:object_r:dts_data_file:s0 $dts

elif [ -e "$dts/dax_sqlite3.db" ]; then

  chmod 0644 $dts/dax_sqlite3.db
  chown 1041.1005 $dts/dax_sqlite3.db
  chcon -R u:object_r:dts_data_file:s0 $dts
  
fi

if [ ! -d "$ROOT/odm" ]; then

  mkdir -p $ROOT/odm/etc
  chmod 0755 $ROOT/odm $ROOT/odm/etc
  chown 1000.1000 $ROOT/odm $ROOT/odm/etc
  chcon -R u:object_r:system_file:s0 $ROOT/odm

  AP="$(find /system /vendor -type f -name "audio_policy_configuration*.xml" | head -n 1)"
  if [ "$(dirname $AP)" == "$VEN/etc/audio" ]; then INC="s|.*=\"(/.*/[a-zA-Z0-9_]*.xml)\".*|\1|g"; else INC="s|.*=\"([a-zA-Z0-9_]*.xml)\".*|`dirname $AP`/\1|g"; fi

  for POL in $AP $(grep "include href=" $AP | sed -r $INC); do
    [ -f "$POL" -a ! -e "$ROOT/odm/etc/$(basename $POL)" ] && ln -sf $POL $ROOT/odm/etc/
  done

fi

if [ "$ROOT" ]; then mount -o ro,remount $ROOT; else mount -o ro,remount /; fi

exit 0
